> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update monthly cash flow profile

>  

Use this endpoint to update the attributes of a `monthly_cash_flow_profile`.


## OpenAPI

````yaml openapi/nexus/v1.yaml PUT /monthly_cash_flow_profile
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /monthly_cash_flow_profile:
    put:
      tags:
        - monthly cash flow profile
      summary: Update monthly cash flow profile
      description: >-
        Use this endpoint to update the attributes of a
        `monthly_cash_flow_profile`.
      operationId: updateMonthlyCashFlowProfile
      requestBody:
        required: true
        content:
          application/vnd.mx.nexus.v1+json:
            schema:
              $ref: '#/components/schemas/MonthlyCashFlowProfileRequestBody'
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/MonthlyCashFlowResponseBody'
components:
  schemas:
    MonthlyCashFlowProfileRequestBody:
      properties:
        monthly_cash_flow_profile:
          $ref: '#/components/schemas/MonthlyCashFlowProfileRequest'
      type: object
    MonthlyCashFlowResponseBody:
      properties:
        monthly_cash_flow_profile:
          $ref: '#/components/schemas/MonthlyCashFlowResponse'
      type: object
    MonthlyCashFlowProfileRequest:
      properties:
        goals_contribution:
          example: 150
          type: integer
          description: The monthly dollar amount allocated for goals.
        uses_estimated_goals_contribution:
          example: false
          type: boolean
          description: Determines if the user uses estimated goals contribution.
    MonthlyCashFlowResponse:
      properties:
        guid:
          example: MCF-4e431124-4a29-abf9-f059-ab232ac14dbf
          type: string
          description: Unique identifier for the monthly cash flow profile. Defined by MX.
        user_guid:
          example: USR-6c83f63c-efcc-0189-3f14-100f0bad378a
          type: string
          description: >-
            Unique identifier for the user the monthly cash flow profile is
            attached to. Defined by MX.
        budgeted_income:
          example: 1200.12
          type: integer
          description: The amount of the budgeted income for the user.
        budgeted_expenses:
          example: 1000
          type: integer
          description: The amount of the budgeted expenses for the user.
        goals_contribution:
          example: 150
          type: integer
          description: The monthly dollar amount allocated for goals.
        estimated_goals_contribution:
          example: null
          type: integer
          description: >-
            The estimated monthly dollar amount allocated for goals calculated
            from income and budgets.
        uses_estimated_goals_contribution:
          example: false
          type: boolean
          description: >-
            If the user uses estimated goals contribution, this field will be
            true. Otherwise, this field will be false.
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````